Model management
Query job progress
Query the current progress of a model generation job by UUID.
POST
/
api
/
queryJobProgress
curl --request POST \
--url https://alb.neural4d.com:3000/api/queryJobProgress \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
}
'
import requests
response = requests.request(
"POST",
"https://alb.neural4d.com:3000/api/queryJobProgress",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
},
)
print(response.json())
const response = await fetch("https://alb.neural4d.com:3000/api/queryJobProgress", {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
}),
});
const data = await response.json();
console.log(data);
const response: Response = await fetch("https://alb.neural4d.com:3000/api/queryJobProgress", {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
}),
});
const data = await response.json();
console.log(data);
import java.net.URI;
import java.net.http.*;
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://alb.neural4d.com:3000/api/queryJobProgress"))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("{\n \"uuid\": \"c7b77026-88f5-417f-a7c8-648a9448\"\n }"))
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
payload := strings.NewReader("{\n \"uuid\": \"c7b77026-88f5-417f-a7c8-648a9448\"\n}")
req, _ := http.NewRequest("POST", "https://alb.neural4d.com:3000/api/queryJobProgress", payload)
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
bodyBytes, _ := io.ReadAll(resp.Body)
fmt.Println(string(bodyBytes))
require "net/http"
require "json"
uri = URI("https://alb.neural4d.com:3000/api/queryJobProgress")
request = Net::HTTP::Post.new(uri)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = {
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
}.to_json
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") { |http| http.request(request) }
puts response.body
<?php
$ch = curl_init("https://alb.neural4d.com:3000/api/queryJobProgress");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["Authorization: Bearer <token>", "Content-Type: application/json"],
CURLOPT_POSTFIELDS => "{\n \"uuid\": \"c7b77026-88f5-417f-a7c8-648a9448\"\n}",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
using System.Net.Http;
using System.Text;
using var client = new HttpClient();
using var request = new HttpRequestMessage(HttpMethod.Post, "https://alb.neural4d.com:3000/api/queryJobProgress");
request.Headers.TryAddWithoutValidation("Authorization", "Bearer <token>");
request.Headers.TryAddWithoutValidation("Content-Type", "application/json");
request.Content = new StringContent("{\n \"uuid\": \"c7b77026-88f5-417f-a7c8-648a9448\"\n}", Encoding.UTF8, "application/json");
using var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"statusType": 0,
"message": "Get job progress successfully",
"progress": "100%"
}
Authorizations
string
default:"Bearer ${YOUR_API_KEY}"
required
Use the bearer token provided through the Neural4D website.
Body application/json
string
required
Unique job or model identifier returned by a previous create endpoint.Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479".curl --request POST \
--url https://alb.neural4d.com:3000/api/queryJobProgress \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
}
'
import requests
response = requests.request(
"POST",
"https://alb.neural4d.com:3000/api/queryJobProgress",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
},
)
print(response.json())
const response = await fetch("https://alb.neural4d.com:3000/api/queryJobProgress", {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
}),
});
const data = await response.json();
console.log(data);
const response: Response = await fetch("https://alb.neural4d.com:3000/api/queryJobProgress", {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
}),
});
const data = await response.json();
console.log(data);
import java.net.URI;
import java.net.http.*;
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://alb.neural4d.com:3000/api/queryJobProgress"))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("{\n \"uuid\": \"c7b77026-88f5-417f-a7c8-648a9448\"\n }"))
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
payload := strings.NewReader("{\n \"uuid\": \"c7b77026-88f5-417f-a7c8-648a9448\"\n}")
req, _ := http.NewRequest("POST", "https://alb.neural4d.com:3000/api/queryJobProgress", payload)
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
bodyBytes, _ := io.ReadAll(resp.Body)
fmt.Println(string(bodyBytes))
require "net/http"
require "json"
uri = URI("https://alb.neural4d.com:3000/api/queryJobProgress")
request = Net::HTTP::Post.new(uri)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = {
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
}.to_json
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") { |http| http.request(request) }
puts response.body
<?php
$ch = curl_init("https://alb.neural4d.com:3000/api/queryJobProgress");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["Authorization: Bearer <token>", "Content-Type: application/json"],
CURLOPT_POSTFIELDS => "{\n \"uuid\": \"c7b77026-88f5-417f-a7c8-648a9448\"\n}",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
using System.Net.Http;
using System.Text;
using var client = new HttpClient();
using var request = new HttpRequestMessage(HttpMethod.Post, "https://alb.neural4d.com:3000/api/queryJobProgress");
request.Headers.TryAddWithoutValidation("Authorization", "Bearer <token>");
request.Headers.TryAddWithoutValidation("Content-Type", "application/json");
request.Content = new StringContent("{\n \"uuid\": \"c7b77026-88f5-417f-a7c8-648a9448\"\n}", Encoding.UTF8, "application/json");
using var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
Response
- 200
Job progress result
enum<integer>
required
Progress query status.
0 means valid, -1 means the job does not exist, and -2 means the query is invalid.Available options: -2, -1, 0.string
required
Human-readable job progress query result.
string | null
Current job progress percentage returned by the service.
{
"statusType": 0,
"message": "Get job progress successfully",
"progress": "100%"
}
⌘I
curl --request POST \
--url https://alb.neural4d.com:3000/api/queryJobProgress \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
}
'
import requests
response = requests.request(
"POST",
"https://alb.neural4d.com:3000/api/queryJobProgress",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
},
)
print(response.json())
const response = await fetch("https://alb.neural4d.com:3000/api/queryJobProgress", {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
}),
});
const data = await response.json();
console.log(data);
const response: Response = await fetch("https://alb.neural4d.com:3000/api/queryJobProgress", {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
}),
});
const data = await response.json();
console.log(data);
import java.net.URI;
import java.net.http.*;
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://alb.neural4d.com:3000/api/queryJobProgress"))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("{\n \"uuid\": \"c7b77026-88f5-417f-a7c8-648a9448\"\n }"))
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
payload := strings.NewReader("{\n \"uuid\": \"c7b77026-88f5-417f-a7c8-648a9448\"\n}")
req, _ := http.NewRequest("POST", "https://alb.neural4d.com:3000/api/queryJobProgress", payload)
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
bodyBytes, _ := io.ReadAll(resp.Body)
fmt.Println(string(bodyBytes))
require "net/http"
require "json"
uri = URI("https://alb.neural4d.com:3000/api/queryJobProgress")
request = Net::HTTP::Post.new(uri)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = {
"uuid": "c7b77026-88f5-417f-a7c8-648a9448"
}.to_json
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") { |http| http.request(request) }
puts response.body
<?php
$ch = curl_init("https://alb.neural4d.com:3000/api/queryJobProgress");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["Authorization: Bearer <token>", "Content-Type: application/json"],
CURLOPT_POSTFIELDS => "{\n \"uuid\": \"c7b77026-88f5-417f-a7c8-648a9448\"\n}",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
using System.Net.Http;
using System.Text;
using var client = new HttpClient();
using var request = new HttpRequestMessage(HttpMethod.Post, "https://alb.neural4d.com:3000/api/queryJobProgress");
request.Headers.TryAddWithoutValidation("Authorization", "Bearer <token>");
request.Headers.TryAddWithoutValidation("Content-Type", "application/json");
request.Content = new StringContent("{\n \"uuid\": \"c7b77026-88f5-417f-a7c8-648a9448\"\n}", Encoding.UTF8, "application/json");
using var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"statusType": 0,
"message": "Get job progress successfully",
"progress": "100%"
}

